html,
body {
    height: 100%;
}
::-webkit-scrollbar {
    width: 8px;
    height: 10px;
}
::-webkit-scrollbar:horizontal {

    height: 6px;
}
::-webkit-scrollbar-track:vertical, ::-webkit-scrollbar-track:horizontal {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #FAFAFC;
}

::-webkit-scrollbar-thumb:vertical, ::-webkit-scrollbar-thumb:horizontal {
    background-color: crimson;
}
.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Font Awesome 5 Free';
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: "\f15d";
}

a.desc:after {
    content: "\f881";
}

.sort-numerical a.asc:after {
    content: "\f162";
}

.sort-numerical a.desc:after {
    content: "\f886";
}

.sort-ordinal a.asc:after {
    content: "\f884";
}

.sort-ordinal a.desc:after {
    content: "\f160";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}


/*PAGINATION*/
.pagination {
    display: inline-block;
}

.pagination li {
    color: black;
    float: left;
    text-decoration: none;
    border: 1px solid #454d55;
}
.pagination a,.pagination span {
    padding: 8px 16px;
    display: block;
}
/*PAGINATION*/

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}
@media (max-width: 992px) {
    #access-tabs{
        display: flex;
        flex-direction: column;
    }
    .tab-content{
        margin-left: 0 !important;
    }
    .nav-tabs{
        border-right: unset !important;
        flex-wrap: nowrap !important;
        width: 100% !important;
        overflow-x: auto;
        margin-bottom: 10px;
    }
    .nav-tabs .nav-link{
        white-space: nowrap;
    }
    .nav-tabs .nav-item{
        margin-bottom: 2px !important;
    }
    .tabs-left > .nav-tabs .nav-link{
        border-radius: 4px !important;
    }
    .body-dark #access-tabs.tabs-left > .nav-tabs .nav-link.active {
        border-color: #333333 #333333 #333333 #333333 !important;
    }
    #access-tabs.tabs-left > .nav-tabs .nav-link.active {
        border-color: #ddd #ddd #ddd #ddd !important;
    }
    .table-access tbody{
        white-space: nowrap;
    }
}
@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
    .navbar-toggler{
        margin-right: 54px;
    }
}
@media (max-width: 360px) {
    .navbar-brand {
        font-size: 1rem;
    }
}
.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}
.colorized {
    color: crimson;
    font-variant-caps: all-small-caps;
}
.d-v {
    color:aqua;
}
.project-n {
    color: white;
    font-variant-caps: all-small-caps;
}
.login-logo .project-n {
    color: #495057;
}
.usr-brn-delete {
    color:red;
    margin:0 5px;
}
.btn-chng-theme.fix {
    color: rgba(255, 255, 255, 0.5);
    font-size: 1.6em;
    position: fixed;
    right: 1%;
    top: 0;
}
.fa-sun {
    color:#fbac13;
}
.fa-moon {
    color:#c0c0c0;
}
footer a {
    color: #495057;
}
.btn-copy {
    margin-left: 5%;
    cursor: pointer;
}
.copy-val {
    cursor: pointer;
}
.filters-sm .form-control {
    height: calc(1.5em + 0.5rem + 2px);
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
}
.table-access thead th{ 
    border-top: unset;
}
#access-tabs.tabs-krajee.tabs-left .nav-tabs,#access-tabs.tabs-krajee.tabs-right .nav-tabs {
    width: 200px;
}
#access-tabs .nav-tabs .nav-link.active,#access-tabs .nav-tabs .nav-item.show .nav-link {
    background-color: #fdfdfe;
}
#access-tabs.tabs-krajee.tabs-left .tab-content {
    margin-left: 199px;
    background-color: #fdfdfe;
}
#access-tabs.tabs-left > .nav-tabs .nav-link.active {
    border-color: #ddd #fdfdfe #ddd #ddd;
}
#access-tabs .tab-content {
    padding-top: 0;
}
#access-tabs a.nav-link {
    padding: 0.75rem 1rem;
    color: #000;
    font-weight: bold;
}
#access-tabs a.nav-link:not(.active) {
    color: #343a40;
    font-weight: normal;
}
#access-tabs.tabs-left > .nav-tabs .nav-link {
    margin-right: -2px;
}
#access-tabs .nav-tabs .nav-link {
    margin-bottom:unset;
}
.project-search-input {
    width: 200px;
    border: 1px solid #dddddd;
    margin-bottom: 5px;
    font-size: 1.2rem;
}
/*ERROR PAGE*/
.error-page {
    -ms-flex-align: center;
    align-items: center;
    background: #e9ecef;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100vh;
    -ms-flex-pack: center;
    justify-content: center;
}
/*ERROR PAGE*/


/*LOGIN/REGISTER PAGE STYLE*/
.login-page, .register-page {
    -ms-flex-align: center;
    align-items: center;
    background: #e9ecef;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100vh;
    -ms-flex-pack: center;
    justify-content: center;
}

.login-logo, .register-logo {
    font-size: 2.1rem;
    font-weight: 300;
    margin-bottom: .9rem;
    text-align: center;
}
.login-logo a, .register-logo a {
    color: #495057;
}
.card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0,0,0,.125);
    border-radius: .25rem;
}
.card {
    box-shadow: 0 0 1px rgba(0,0,0,.125), 0 1px 3px rgba(0,0,0,.2);
    margin-bottom: 1rem;
}
.card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 0 solid rgba(0,0,0,.125);
    border-radius: .25rem;
}
.card-body {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-height: 1px;
    padding: 1.25rem;
}
.card-body {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1.25rem;
}
.login-card-body, .register-card-body {
    background: #fff;
    border-top: 0;
    color: #666;
    padding: 20px;
}
.login-box-msg, .register-box-msg {
    margin: 0;
    padding: 0 20px 20px;
    text-align: center;
}
.card-header:after, .card-body:after, .card-footer:after {
    display: block;
    clear: both;
    content: "";
}
/*LOGIN/REGISTER PAGE STYLE*/

/*THEME LIGHT*/
.table-light th, .table-light td, .table-light thead th, .table-light tbody + tbody {
    border-color: #e0e5ea;
}
/*THEME LIGHT*/

/*THEME DARK*/
.body-dark {
    background-color: #3a4148;
    color: #f4f4f4;
}
.navbar-dark {
    border-bottom: 1px solid #333333;
}
.footer-dark {
    background-color: #343a40;
    border-top: 1px solid #333333;
    color: #c0c0c0;
}
.footer-dark a, .body-dark a {
    color: #c0c0c0;
}
.body-dark .btn {
    color: #f4f4f4;
}
.body-dark .usr-brn-delete {
    color: #cc0000;
}
.body-dark .usr-brn-delete:hover, .body-dark .usr-brn-delete:focus {
    color: #e60909;
}
.body-dark .btn:hover, .body-dark .btn:focus {
    color: #ffffff;
}
.footer-dark a:hover, .footer-dark a:focus, .body-dark a:hover, .body-dark a:focus {
    color: #d6d5d5;
}
.body-dark input.form-control, .body-dark select.form-control, .body-dark textarea.form-control {
    background-color: #e6e6e6;
    border: 1px solid #5d5d5d;
}
.body-dark input.form-control.project-search-input {
    border: 2px solid #333333;
}
.body-dark input.form-control:focus, .body-dark select.form-control:focus, .body-dark textarea.form-control:focus {
    background-color: #d2d2d2;
}
.body-dark .d-w {
    color:#ffffff;
}
.body-dark .project-n {
    color:#c0c0c0;
}
.body-dark .card-body {
    background-color: #e5e5e5;
    color: #353535;
}
.body-dark .was-validated .custom-control-input:valid ~ .custom-control-label, .body-dark  .custom-control-input.is-valid ~ .custom-control-label {
    color: #329248;
}
.body-dark .was-validated .custom-control-input:valid:checked ~ .custom-control-label::before, .body-dark .custom-control-input.is-valid:checked ~ .custom-control-label::before {
    border-color: #329248;
    background-color: #329248;
}
.body-dark .btn-primary {
    background-color:#0069da;
    border-color:#0069da;
}
.body-dark .btn-warning {
    background-color: #daa506;
    border-color: #daa506;
}
.body-dark .card-body a {
    color: #9b7171;
}
.body-dark .card-body a:hover, .body-dark .card-body a:focus {
    color: #c06e6e;
}
.body-dark .was-validated .form-control:invalid, .body-dark .form-control.is-invalid {
    border-color: #dc3545;
}
.body-dark .dropdown-menu {
    background-color: #1d1d1d; 
}
.body-dark .dropdown-menu .dropdown-item:hover {
    color: #555555; 
}
.body-dark #access-tabs .nav-tabs .nav-link.active, .body-dark #access-tabs .nav-tabs .nav-item.show .nav-link {
    background-color: #343a40;
}
.body-dark #access-tabs.tabs-left > .nav-tabs .nav-link {
    color: #f2fff3;
}
.body-dark #access-tabs.tabs-left > .nav-tabs .nav-link.active {
    border-color: #333333 #343a40 #333333 #333333;
}
.body-dark #access-tabs.tabs-krajee.tabs-left .tab-content {
    background-color: #343a40;
}
.body-dark #access-tabs.tabs-left.tab-bordered .tab-content {
    border-color: #333;
}
.body-dark #access-tabs.tabs-left > .nav-tabs {
    border-right: 1px solid #333;
}
.project-user{
    display: block;
    border-top: 1px solid black;
    margin-top: 35px;
    padding: 10px;
    padding-bottom: 10px;
    font-size: 18px;
    color: black;
    background-color: #e9ecef;
    font-weight: 500;
}
/*THEME DARK*/